Trading API v1 Positions

Position management operations

Get positions

get

Retrieve positions for the authenticated account with optional filtering

Query parameters
symbolstringOptional

Symbol filter

statusstringOptional

Position status filter (open, closed, exercised, liquidated)

pageinteger · int32Optional

Page number (1-based)

Default: 1Example: 1
sizeinteger · int32Optional

Page size

Default: 20Example: 20
Responses
200

Positions retrieved successfully

*/*
totalinteger · int32Optional

Total number of items

Example: 100
pageinteger · int32Optional

Current page number

Example: 1
pageSizeinteger · int32Optional

Number of items per page

Example: 10
get
/v1/positions

Get position by ID

get

Retrieve a specific position by its ID

Path parameters
idinteger · int64Required

Position ID

Responses
200

Position retrieved successfully

*/*

Response DTO for position operations in v1 API

positionIdstringOptional

Unique identifier of the position

Example: abc123
parentPositionIdstringOptional

Parent position, form which this positionw as created

Example: abc123
symbolstringOptional

Trading symbol

Example: BTC-251007-50000-C
assetstringOptional

Underlaying asset name

Example: BTCUSDT
typestringOptional

Option type

Example: CALL
expiryDateinteger · int64Optional

Expiry date as epoch millis

Example: 1717000000000
sizeUsdtstringOptional

Position size in USDT

Example: 100
sizestringOptional

Position size

Example: 0.01
sizeContractsstringOptional

Position size in contracts

Example: 10
sizeUsdtClosedstringOptional

Position closed size in USDT

Example: 100
sizeClosedstringOptional

Position closed size

Example: 0.01
sizeContractsClosedstringOptional

Position closed size in contracts

Example: 10
strikePricestringOptional

Strike price

Example: 50000
openPricestringOptional

Open price (VWAP)

Example: 49500
openDateinteger · int64Optional

Open date as epoch millis

Example: 1716000000000
statusstringOptional

Position status

Example: OPEN
feestringOptional

Fee paid

Example: 0.5
premiumTotalstringOptional

Total collected premium

Example: 2
closePricestringOptional

Close price

Example: 51000
plstringOptional

Trade Profit/Loss

Example: 100
plClosedstringOptional

Trade Profit/Loss closed

Example: 100
contractQtystringOptional

Contract quantity

Example: 1
tradeSidestringOptional

Trade side

Example: BUY
excercisePlClosedstringOptional

Closed exercise P/L

Example: 10
excercisePlFloatingstringOptional

Floating exercise P/L

Example: 5
curIdxPricestringOptional

Current index price, used for calculation of floating excercise P/L

Example: 50500
settlementPricestringOptional

Settlement price for exercise

Example: 150000
easyOptionIdstringOptional

Id of easy option

Example: 1
get
/v1/positions/{id}

Last updated